%define rhel 0

%define debug 0
%define final 0

%define kdelibs_epoch 6
%define kdebase_epoch 6

%define kpovmodeler 0
%define kfract 0
%define arts 1
%define make_cvs 1

%define appdir %{_datadir}/applications/kde

%define no_scanner_archs s390 s390x

%define disable_gcc_check_and_hidden_visibility 1

Version: 3.5.3
Release: 0.1.fc4
Name: kdegraphics
Summary: K Desktop Environment - Graphics Applications
Epoch: 7
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
Url: http://www.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch0: kde-libtool.patch
Patch1: kdegraphics-3.3.0-misc.patch
Patch2: kdegraphics-3.3.1-xorg.patch
Patch3: kdegraphics-3.5.1-warning.patch

%ifnarch %{no_scanner_archs}
BuildRequires: sane-backends-devel >= 1.0.3-10
BuildRequires: gphoto2-devel
BuildRequires: libexif-devel
%endif

%if %{kpovmodeler}
BuildRequires: freeglut-devel
%endif
BuildRequires: kdebase-devel
BuildRequires: zlib-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: imlib-devel
BuildRequires: fribidi-devel 
BuildRequires: libieee1284-devel

Requires: kdebase >= %{kdebase_epoch}:%{version}
Requires(post,postun): /sbin/ldconfig

%description
Graphics applications for the K Desktop Environment.

Includes:
  kdvi (displays TeX .dvi files)
  kfax (displays faxfiles)
  kghostview (displays postscript files)
  kcoloredit (palette editor and color chooser)
  kamera (digital camera support)
  kiconedit (icon editor)
  kpaint (a simple drawing program)
  ksnapshot (screen capture utility)
  kview (image viewer for GIF, JPEG, TIFF, etc.)
  kuickshow (quick picture viewer)
  kooka (scanner application)
  kruler (screen ruler and color measurement tool)

%package devel
Summary: Development files for kdegraphics
Requires: %{name} = %{epoch}:%{version}-%{release}
Group: Development/Libraries

%description devel
Graphic applications for the K Desktop Environment.
This package contains header files for developing applications using kdegraphics.

%package -n kamera
Summary: Digital camera support for KDE
Group: Applications/Multimedia
Requires: gphoto2

%description -n kamera
Kamera adds support for digital cameras to KDE.
After installing kamera, you can access your digital camera just like
a filesystem from KDE applications.

%package -n kcoloredit
Summary: KDE palette editor and color chooser
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kcoloredit
KDE palette editor and color chooser.
kcoloredit can be used by other programs (and scripts) to pick a color or
edit a palette.

%package -n kdvi
Summary: KDE DVI (TeX output) file viewer
Group: Applications/Publishing
Obsoletes: kdegraphics

%description -n kdvi
A DVI (TeX output) file viewer for KDE.

%package -n kfax
Summary: KDE Fax viewer
Group: Applications/Communications
Obsoletes: kdegraphics

%description -n kfax
A KDE viewer for incoming faxes

%package -n kfile
Summary: KFile module for reading image file
Group: Applications/File
Obsoletes: kfile-png
Obsoletes: kfile-pdf

%description -n kfile
The KFile plugin allows all applications using KFile (e.g. Konqueror) to
view information on image files.

%package -n kfract
Summary: KDE Fractal Generator
Group: Applications/Engineering
Obsoletes: kdegraphics

%description -n kfract
A Fractal generator for KDE

%package -n kghostview
Summary: PostScript viewer for KDE
Group: Applications/Publishing
Obsoletes: kdegraphics

%description -n kghostview
A PostScript and PDF file viewer for KDE.
In addition to being a standalone viewer application, kghostview acts as
a Konqueror plugin.

%package -n kiconedit
Summary: An icon editor for creating KDE icons
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kiconedit
An icon editor for creating KDE icons

%package -n kooka
Summary: KDE scanner application
Group: Applications/Multimedia
Requires: libkscan = %{version}-%{release}, sane-backends

%description -n kooka
Kooka is a KDE application for previewing, cutting and receiving images
from a scanner.

%package -n kpaint
Summary: A simple paint program for KDE
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kpaint
A simple bitmap paint program for KDE.

%package -n kruler
Summary: A screen ruler and color measurement tool
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kruler
A screen ruler and color measurement tool

%package -n ksnapshot
Summary: A KDE applet for taking snapshots of the desktop
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n ksnapshot
A KDE applet for taking screenshots.
ksnapshot allows both capturing the whole desktop and capturing just
the active window.

%package -n kuickshow
Summary: Quick picture viewer for KDE
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kuickshow
Kuickshow is a picture viewer for KDE. It displays the directory structure,
displaying images as thumbnails.
Clicking on an image shows the image in its normal size.

%package -n kview
Summary: KDE Image Viewer
Group: Applications/Multimedia
Obsoletes: kdegraphics

%description -n kview
KView is a KDE image viewer, supporting a wide range of graphics file formats.

%package -n kviewshell
Summary: Plugin integration for KView
Group: Applications/Multimedia
Requires: kview
Obsoletes: kdegraphics

%description -n kviewshell
KViewShell allows the kview image viewer to be embedded into other KDE
applications.

%package -n kviewshell-devel
Summary: Development files for kviewshell
Group: Development/Libraries
Requires: kviewshell
Obsoletes: kdegraphics-devel

%description -n kviewshell-devel
Development files for KViewShell.
Install kdegraphics-kviewshell-devel if you wish to develop or compile
applications using kviewshell.

%package -n libkscan
Summary: KDE library for scanner support.
Group: Applications/Multimedia
Requires: sane-backends
Obsoletes: kdegraphics

%description -n libkscan
KDE library for scanner support.

%package -n libkscan-devel
Summary: Development files for libkscan
Group: Applications/Multimedia
Requires: libkscan = %{version}-%{release}
Obsoletes: kdegraphics-devel

%description -n libkscan-devel
Development files for libkscan - install kdegraphics-libkscan-devel if
you wish to develop or compile applications using libkscan.

%package -n kmrml
Summary: MRML (Multimedia Retrieval Markup Language) client
Group: Applications/Multimedia

%description -n kmrml
This package contains an MRML (Multimedia Retrieval Markup Language, http://www.mrml.net/) client
for Konqueror.

%package -n kpovmodeler
Summary: Model editor for the PovRay raytracer
Group: Applications/Multimedia

%description -n kpovmodeler
This package contains a model editor for the PovRay raytracer.

%prep
%setup -q
%patch0 -p1 -b .libtool
%patch1 -p1 -b .misc
%patch2 -p1 -b .xorg
%patch3 -p1 -b .warning

%if %{rhel}
  echo "DO_NOT_COMPILE=\"\$DO_NOT_COMPILE kfax\"" >kfax/configure.in.in
  echo "DO_NOT_COMPILE=\"\$DO_NOT_COMPILE kfaxview\"" >kfaxview/configure.in.in
%endif

# disable kpovmodeler temporary. waiting for freeglut
%if !%{kpovmodeler}
   echo "DO_NOT_COMPILE=\"\$DO_NOT_COMPILE kpovmodeler\"" >kpovmodeler/configure.in.in
%endif

%if %{make_cvs}
   make -f admin/Makefile.common cvs
%endif

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
   --enable-new-ldflags \
   --disable-dependency-tracking \
   --with-qt-libraries=$QTDIR/lib \
   --disable-rpath \
%if %{disable_gcc_check_and_hidden_visibility}
   --disable-gcc-hidden-visibility \
%endif
%if %{arts} == 0
   --without-arts \
%endif
%if %{final}
   --enable-final \
%endif
%if %{debug} == 0
   --disable-debug \
   --disable-warnings \
%endif
   --includedir=%{_includedir}/kde \
%ifnarch %{no_scanner_archs}
   --with-kamera \
%else
   --without-kamera \
%endif
   --with-xinerama

make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -sf ../common $i
   fi
done
popd

for i in kcmkmrml ksnapshot ; do
  [ -f %{buildroot}%{appdir}/$i.desktop ] && echo "OnlyShowIn=KDE;" >> %{buildroot}%{appdir}/$i.desktop
done

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/*.so*
%{_libdir}/*.la
%{_libdir}/kde3/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/*
%{_datadir}/apps/*
%{_datadir}/config.kcfg/*
%ifnarch %{no_scanner_archs}
%{_datadir}/config/*
%endif
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/text/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%changelog
* Mon Jun 12 2006 Than Ngo <than@redhat.com> 7:3.5.3-0.1.fc4
- update to 3.5.3

* Wed Apr 12 2006 Than Ngo <than@redhat.com> 7:3.5.2-0.1.fc4
- update to 3.5.2

* Tue Feb 07 2006 Than Ngo <than@redhat.com> 7:3.5.1-0.2.fc4
- apply patch to fix buffer overflow in kpdf, CVE-2006-0301 (#179056)

* Wed Feb 01 2006 Than Ngo <than@redhat.com> 7:3.5.1-0.1.fc4
- 3.5.1

* Mon Jan 16 2006 Than Ngo <than@redhat.com> 7:3.5.0-0.2.fc4
- final fix for CAN-2005-3193

* Tue Dec 13 2005 Than Ngo <than@redhat.com> 7:3.5.0-0.1.fc4
- 3.5

* Thu Sep 15 2005 Than Ngo <than@redhat.com> 7:3.4.2-0.fc4.3 
- add BuildRequires: libieee1284-devel #168356

* Mon Sep 05 2005 Than Ngo <than@redhat.com> 7:3.4.2-0.fc4.2
- backport CVS patches to fix several crash in kpdf, #167390

* Thu Jul 28 2005 Than Ngo <than@redhat.com> 7:3.4.2-0.fc4.1
- update to 3.4.2, CAN-2005-2097, #163926

* Tue Jul 05 2005 Than Ngo <than@redhat.com> 3.4.1-0.fc4.2
- apply gcc4 workaround to fix #162430

* Thu Jun 16 2005 Than Ngo <than@redhat.com> 3.4.1-0.fc4.1
- 3.4.1

* Wed Mar 30 2005 Florian La Roche <laroche@redhat.com>
- try rebuilding

* Fri Mar 18 2005 Than Ngo <than@redhat.com> 7:3.4.0-1
- 3.4.0

* Fri Mar 04 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.2
- rebuilt against gcc-4.0.0-0.31

* Tue Mar 01 2005 Than Ngo <than@redhat.com> 7:3.4.0-0.rc1.1
- rebuilt with gcc-4

* Sat Feb 26 2005 Than Ngo <than@redhat.com> 3.4.0-0.rc1.0
- KDE-3.4.0 rc1

* Tue Feb 22 2005 Than Ngo <than@redhat.com> 7:3.3.92-0.1
- KDE-3.4 beta2

* Sat Feb 12 2005 Than Ngo <than@redhat.com> 7:3.3.2-0.4 
- backport from CVS for working with qt-immodule

* Thu Feb 10 2005 Than Ngo <than@redhat.com> 7:3.3.2-0.3
- Applied patch to fix CAN-2005-0064
- Applied Steve cleanup patch file

* Thu Dec 23 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.2
- Applied patch to fix CAN-2004-112

* Fri Dec 03 2004 Than Ngo <than@redhat.com> 7:3.3.2-0.1
- update to 3.3.2
- remove kdegraphics-3.3.1-tiff.patch, it's included in 3.3.2

* Fri Nov 19 2004 Than Ngo <than@redhat.com> 7:3.3.1-4
- fix xf86gammacfg to work with xorg.conf

* Mon Nov 01 2004 Than Ngo <than@redhat.com> 7:3.3.1-3
- rebuilt

* Thu Oct 28 2004 Than Ngo <than@redhat.com> 7:3.3.1-2.1
- add patch from 3_3_BRANCH

* Fri Oct 15 2004 Than Ngo <than@redhat.com> 7:3.3.1-2
- fix kfax to use system libtiff

* Wed Oct 13 2004 Than Ngo <than@redhat.com> 7:3.3.1-1
- update to 3.3.1

* Fri Oct 08 2004 Than Ngo <than@redhat.com> 7:3.3.0-3
- fix typo in buildrequires #135007

* Thu Sep 23 2004 Than Ngo <than@redhat.com> 7:3.3.0-2
- only show kcmkmrml in KDE
- set variables before use

* Mon Aug 23 2004 Than Ngo <than@redhat.com> 3.3.0-1
- update to 3.3.0

* Tue Aug 10 2004 Than Ngo <than@redhat.com> 3.3.0-0.1.rc2
- update to 3.3.0 rc2

* Mon Jun 21 2004 Than Ngo <than@redhat.com> 7:3.2.3-1
- update to 3.2.3

* Wed Apr 14 2004 Than Ngo <than@redhat.com> 7:3.2.2-1
- update to 3.2.2

* Sun Mar 07 2004 Than Ngo <than@redhat.com> 7:3.2.1-1
- 3.2.1 release

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 17 2004 Than Ngo <than@redhat.com> 7:3.2.0-1.4
- fix typo bug, _smp_mflags instead smp_mflags

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Than Ngo <than@redhat.com> 7:3.2.0-0.3
- 3.2.0 release
- built against qt 3.3.0
- add prereq /sbin/ldconfig    

* Mon Jan 19 2004 Than Ngo <than@redhat.com> 7:3.1.95-0.1
- KDE 3.2 RC1

* Mon Dec 01 2003 Than Ngo <than@redhat.com> 7:3.1.94-0.1
- KDE 3.2 Beta2

* Thu Nov 27 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.2
- get rid of rpath

* Wed Nov 12 2003 Than Ngo <than@redhat.com> 7:3.1.93-0.1
- KDE 3.2 Beta1
- cleanup

* Tue Sep 30 2003 Than Ngo <than@redhat.com> 7:3.1.4-1
- 3.1.4

* Thu Sep 04 2003 Than Ngo <than@redhat.com> 7:3.1.3-4
- disable kpovmodeler temporary. waiting for freeglut

* Thu Aug 21 2003 Than Ngo <than@redhat.com> 7:3.1.3-3
- fixed build problem with new gcc

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 7:3.1.3-2
- rebuilt

* Mon Aug 04 2003 Than Ngo <than@redhat.com> 7:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-4
- disable kpovmodeler temporary. waiting for freeglut
- built with gcc-3.3-12
- remove excludearch s390/s390x

* Sun Jun  8 2003 Tim Powers <timp@redhat.com> 7:3.1.2-3.1
- added epoch for versioned requires where needed
- built for RHEL

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 20 2003 Than Ngo <than@redhat.com> 3.1.2-2
- 3.1.2

* Tue Apr 22 2003 Than Ngo <than@redhat.com> 3.1.1-2
- PS/PDF file handling vulnerability

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-3
- get rid of gcc path from dependency_libs

* Wed Feb 19 2003 Elliot Lee <sopwith@redhat.com>
- BuildRequires: glut-devel if kpovmodeler

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release
- remove excludearch ia64
- remove some unneeded macros

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.3
- rc6
- exclude ia64

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- fix desktop file issues
- get rid of su packages

* Sun Nov 24 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4

* Sun Aug 25 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- compile on mainframe

* Wed Aug 14 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- change spec file to work for more archs

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3
- build using gcc-3.2-0.3

* Fri Aug  9 2002 Than Ngo <than@redhat.com> 3.0.2-4
- desktop files issues (bug #71018)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 3.0.2-3
- build using gcc-3.2-0.1

* Sat Jul 20 2002 Than Ngo <than@redhat.com> 3.0.2-2
- fix desktop files issue

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2
- use desktop-file-install

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 14 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.1-1
- 3.0.1

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- rename libraries

* Mon Apr  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix libkviewpart.* duplication (kview and kviewshell, #62749)
- Shut up rpmlint

* Fri Mar 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Obsolete the old monolithic package
- Fix build with gcc 3.1

* Thu Mar 28 2002 Than Ngo <than@redhat.com> 3.0.0-2
- fix deps problem

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Thu Mar 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020321.1
- Add docs for kooka and kuickshow and kfile PostScript plugin

* Wed Mar  6 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020306.1
- Update
- Rename subpackages
- Don't build kamera on alpha

* Wed Dec 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20011226.1
- Update
- Reorganize package

* Thu Jul 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010726.1
- The -devel package has kscan-related files -n only. Since kscan isn't built
  on s390/s390x, don't build the devel package there.

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Add more build dependencies (#48970)
- Remove ia64 workarounds, no longer needed
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Restore -devel package, got lost during the update
- Fix build on s390/s390x
- Update

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.2
- Make symlinks relative
- Update

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of libkdefakes.so.0 dependency

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Wed Dec 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Stop excluding ia64

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD

* Fri Nov  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Thu Aug 24 2000 Than Ngo <than@redhat.com>
- update to kdegraphics-1.93

* Sun Aug 20 2000 Than Ngo <than@redhat.com>
- add missing kdegraphic2 package

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- work around compiler bug by disabling kcoloredit for now, FIXME

* Fri Jul 21 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- SMPify build

* Sun Jul 16 2000 Than Ngo <than@redhat.de>
- use gcc 2.96
- new snapshot
- fix docdir

* Fri Jun 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add Epoch - for some reason, rpm thinks 1.1.2 > 1.92.20000623.

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- Fix compilation

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 CVS

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 1.1.2 release

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- updates to new libstdc++ and rpm standards.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane

